Subject: Re: bug#58049: 29.0.50; Obsolete url schemes "info" and "man"

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Sep 2022 16:30:19 +0200

Augusto Stoffel <[email-masked]> writes:

> I can imagine many uses for this.  For instance, a completion table
> could provide some kind of "further info" property so you can preview
> the documentation of an item mid-completion.

Why on Earth would you use URL syntax for something like that?  Just add
the "further info" property and link that up with a closure from a text
property or whatever

I'm all for retiring the info: and man: schemes (since they are 100%
useless), but don't really see the need to do so piecemeal -- when Emacs
grows a new URL library that functions better than the current one,
it'll only support http(s) and file, so all this junk will disappear in
one fell swoop.